Get all equipment
GET
https://api.expirationreminder.com/v1/equipmentQuery Parameters
term
stringOptionalDefault:
page
integerOptionalDefault: -1
sort
stringOptionalDefault:
sortDirection
stringOptionalDefault: asc
GET /v1/equipment
$ curl https://api.expirationreminder.com/v1/equipment \
-H "Authorization: Bearer <token>"
Responses
| Property | Type | Description |
|---|---|---|
equipment |
EquipmentModel[] |
- |
pages |
integer (int32) |
- |
page |
integer (int32) |
- |
total |
integer (int32) |
- |
Example Response
{
"equipment": [
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"equipment_number": "string",
"brand": "string",
"model": "string",
"location_id": "00000000-0000-0000-0000-000000000000",
"folder_id": "00000000-0000-0000-0000-000000000000",
"type_id": "00000000-0000-0000-0000-000000000000",
"assigned_to_contact_id": "00000000-0000-0000-0000-000000000000",
"vendor_company_id": "00000000-0000-0000-0000-000000000000",
"purchase_price": 0.0,
"purchase_date": "string",
"purchase_comments": "string",
"in_service_date": "string",
"estimated_life": 0,
"estimated_resale_value": 0.0,
"out_of_service_date": "string",
"assigned_to": {
"name": "string",
"email": "string",
"id": "00000000-0000-0000-0000-000000000000",
"team_id": "00000000-0000-0000-0000-000000000000"
},
"team_id": "00000000-0000-0000-0000-000000000000",
"is_archived": false,
"modified": "string",
"custom_fields": [
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"value": "string"
}
]
}
],
"pages": 0,
"page": 0,
"total": 0
}Bad Request
| Property | Type | Description |
|---|---|---|
message |
string |
- |
ok |
boolean |
- |
Example Response
{
"message": "string",
"ok": false
}